# Basic macros
%define prerel	rc1

Name:           educazionik
Version:        2.0.0
Summary:        Italian educational project
Summary(it):    Raccolta di programmi educativi
Release:        %mkrel 0.17
License:        GPLv2+
Group:          Education
URL:            https://sourceforge.net/projects/educazionik/
Source0:        %{name}-%{version}-%{prerel}.tar.bz2
Patch0:         educazionik-2.0.0-fix-dialoggamecpp.patch
Patch1:         educazionik-cmake-4.0.patch

BuildRequires: qt4-devel
BuildRequires: cmake

%description
Educazionik is an educational project for (at the moment)
Italian primary school students.

%description -l it
Educazionik è un araccolta di programmi educativi rivolta
agli studenti delle scuole primarie

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}/
%{_docdir}/%{name}/
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


#--------------------------------------------------------------------

%prep
%autosetup -p1  -n %{name}-%{version}-%{prerel}

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Mon Jul 07 2025 daviddavid <daviddavid> 2.0.0-0.17.mga10
+ Revision: 2248936
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Jan 05 2023 ghibo <ghibo> 2.0.0-0.16.mga9
+ Revision: 1930487
- Add Patch0 to fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 daviddavid <daviddavid> 2.0.0-0.14.mga8
+ Revision: 1512697
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-0.13.mga7
+ Revision: 1297572
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 daviddavid <daviddavid> 2.0.0-0.12.mga7
+ Revision: 1158751
- fix for new find_lang

* Sat Feb 06 2016 umeabot <umeabot> 2.0.0-0.11.mga6
+ Revision: 940614
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-0.10.mga5
+ Revision: 740138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-0.9.mga5
+ Revision: 678962
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-0.8.mga4
+ Revision: 504061
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-0.7.mga3
+ Revision: 349516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 2.0.0-0.6.mga3
+ Revision: 343138
- rebuilt

* Sun Mar 25 2012 anaselli <anaselli> 2.0.0-0.5.mga2
+ Revision: 226431
- Rebuilt for mga2

* Sat Apr 16 2011 anaselli <anaselli> 2.0.0-0.4.mga1
+ Revision: 86093
- imported package educazionik


* Sun Jul 25 2010 Angelo Naselli <anaselli@mandriva.org> 2.0.0-0.4mdv2011.0
+ Revision: 559381
- fixed with upstream tarball

* Sun May 09 2010 Angelo Naselli <anaselli@mandriva.org> 2.0.0-0.3mdv2010.1
+ Revision: 544259
- new version rc1

* Sun Dec 20 2009 Angelo Naselli <anaselli@mandriva.org> 2.0.0-0.2mdv2010.1
+ Revision: 480416
- typo

* Sat Dec 19 2009 Angelo Naselli <anaselli@mandriva.org> 2.0.0-0.1mdv2010.1
+ Revision: 480236
- Wrong Group Educational/Languages
- import educazionik


